Subject: bug#67754: tags for objc and objcxx

From: Karl Berry <[email-masked]>
Date: Mon, 13 Jan 2025 15:18:41 -0700

Thank you, Ileana. (So glad you've revived libtool.)  I have no good way
to test it before a release, but maybe others on Automake will.

Looking at my original report here, I also suggested a tweak to the doc
which I don't see in your patch? Or maybe I'm missing something.

kb> The reason to pass them before being recognized by libtool is to
> avoid an immediate fatal error, as explained in that bug.
> The libtool manual says (line 2930):
>     [...] can't infer
>     a tag, then it defaults to the configuration for the @code{C} language.
> 
> But clearly this is no longer the case, which seems like a good
> thing. Thus I suggest replacing that text with something like:
>     [...] can't infer
>     a tag, then it exits immediately with a fatal error.

Thanks again. -k